# Form implementation generated from reading ui file 'src/eric7/UI/PythonDisViewer.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PythonDisViewer(object):
    def setupUi(self, PythonDisViewer):
        PythonDisViewer.setObjectName("PythonDisViewer")
        PythonDisViewer.resize(400, 577)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(PythonDisViewer)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.splitter = QtWidgets.QSplitter(parent=PythonDisViewer)
        self.splitter.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.splitter.setChildrenCollapsible(False)
        self.splitter.setObjectName("splitter")
        self.layoutWidget = QtWidgets.QWidget(parent=self.splitter)
        self.layoutWidget.setObjectName("layoutWidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.layoutWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.disWidget = QtWidgets.QTreeWidget(parent=self.layoutWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disWidget.sizePolicy().hasHeightForWidth())
        self.disWidget.setSizePolicy(sizePolicy)
        self.disWidget.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.disWidget.setAlternatingRowColors(True)
        self.disWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.disWidget.setAllColumnsShowFocus(True)
        self.disWidget.setObjectName("disWidget")
        self.disWidget.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.disWidget)
        self.currentInfoLabel = QtWidgets.QLabel(parent=self.layoutWidget)
        self.currentInfoLabel.setObjectName("currentInfoLabel")
        self.verticalLayout.addWidget(self.currentInfoLabel)
        self.labeledInfoLabel = QtWidgets.QLabel(parent=self.layoutWidget)
        self.labeledInfoLabel.setObjectName("labeledInfoLabel")
        self.verticalLayout.addWidget(self.labeledInfoLabel)
        self.codeInfoWidget = QtWidgets.QTreeWidget(parent=self.splitter)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.codeInfoWidget.sizePolicy().hasHeightForWidth())
        self.codeInfoWidget.setSizePolicy(sizePolicy)
        self.codeInfoWidget.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.codeInfoWidget.setAlternatingRowColors(True)
        self.codeInfoWidget.setObjectName("codeInfoWidget")
        self.codeInfoWidget.headerItem().setText(0, "1")
        self.verticalLayout_2.addWidget(self.splitter)

        self.retranslateUi(PythonDisViewer)
        QtCore.QMetaObject.connectSlotsByName(PythonDisViewer)

    def retranslateUi(self, PythonDisViewer):
        _translate = QtCore.QCoreApplication.translate
        PythonDisViewer.setWindowTitle(_translate("PythonDisViewer", "Disassembly"))
        self.currentInfoLabel.setText(_translate("PythonDisViewer", "italic: current instruction"))
        self.labeledInfoLabel.setText(_translate("PythonDisViewer", "bold: labeled instruction"))
